2026-10-22
Base URL: https://api-develop.deepraxis.ai/browserbase
Request header: X-BB-API-Key: $PRAXIS_API_KEY
Request ID response header: X-Request-Id
Set baseURL in the official SDK to use these endpoints. Proxies, stealth options, extensions and Selenium are unavailable; region and solveCaptchas are accepted but ignored. Context deletion returns 200 with deleted=true; session responses may also include currentUrl, clients and handoff.
| Operation | Method and path |
|---|---|
| Create a session | POST /browserbase/v1/sessions |
| List sessions | GET /browserbase/v1/sessions |
| Get a session | GET /browserbase/v1/sessions/{id} |
| Close a session | POST /browserbase/v1/sessions/{id} |
| Get live URLs | GET /browserbase/v1/sessions/{id}/debug |
| Get session logs | GET /browserbase/v1/sessions/{id}/logs |
| Get session recording | GET /browserbase/v1/sessions/{id}/recording |
| Create a context | POST /browserbase/v1/contexts |
| Get a context | GET /browserbase/v1/contexts/{id} |
| Delete a context | DELETE /browserbase/v1/contexts/{id} |
/browserbase/v1/sessions● SupportedprojectIdstring可选The Project ID. Can be found in [Settings](https://www.browserbase.com/settings). Optional - if not provided, the project will be inferred from the API key.
extensionIdstring可选○ 未支持This configuration is unavailable.
browserSettingsobject可选contextobject可选idstring必填The Context ID.
persistboolean可选Whether or not to persist the context after browsing. Defaults to `false`.
extensionIdstring可选○ 未支持This configuration is unavailable.
viewportobject可选widthinteger可选The width of the browser.
heightinteger可选The height of the browser.
blockAdsboolean可选◐ 部分支持Accepted but ignored; does not enable this capability.
solveCaptchasboolean可选◐ 部分支持Accepted but ignored; does not enable this capability.
recordSessionboolean可选◐ 部分支持Accepted but ignored; does not enable this capability.
logSessionboolean可选◐ 部分支持Accepted but ignored; does not enable this capability.
advancedStealthboolean可选○ 未支持This configuration is unavailable.
verifiedboolean可选○ 未支持This configuration is unavailable.
captchaImageSelectorstring可选Custom selector for captcha image. See [Custom Captcha Solving](/features/stealth-mode#custom-captcha-solving)
captchaInputSelectorstring可选Custom selector for captcha input. See [Custom Captcha Solving](/features/stealth-mode#custom-captcha-solving)
osstring可选○ 未支持This configuration is unavailable.
allowedDomainsarray可选○ 未支持This configuration is unavailable.
ignoreCertificateErrorsboolean可选○ 未支持This configuration is unavailable.
timeoutinteger可选Duration in seconds after which the session will automatically end. Defaults to the Project's `defaultTimeout`. Minimum 60 seconds, maximum 21600 seconds (6 hours).
keepAliveboolean可选Set to true to keep the session alive even after disconnections. Available on the Hobby Plan and above.
proxiesunion可选◐ 部分支持Only omission, false or [{type: 'none'}] is accepted; other proxy configurations return 501.
proxySettingsobject可选Supplementary proxy settings. Optional.
caCertificatesarray可选The TLS certificate IDs to trust. Optional.
regionstring可选◐ 部分支持Accepted but ignored; does not enable this capability.
userMetadataobject可选Arbitrary user metadata to attach to the session. To learn more about user metadata, see [User Metadata](/features/sessions#user-metadata).
201
Only the capabilities in the service guide are available; some upstream options are unavailable.
Errors contain statusCode, error and message; the native API adds code. The request ID is in X-Request-Id. Errors
Proxies, stealth options, extensions and Selenium are unavailable. region and solveCaptchas are accepted but ignored; region selection and CAPTCHA solving are not provided.
The request has succeeded and a new resource has been created as a result.
application/json
| Name | Type | Description |
|---|---|---|
| id | string | |
| createdAt | string | |
| updatedAt | string | |
| projectId | string | The Project ID linked to the Session. |
| startedAt | string | |
| endedAt | string | |
| expiresAt | string | |
| status | string | |
| proxyBytes | integer | Bytes used via the Proxy |
| keepAlive | boolean | Indicates if the Session was created to be kept alive upon disconnections |
| contextId | string | Optional. The Context linked to the Session. |
| region | string | The region where the Session is running. |
| userMetadata | object | Arbitrary user metadata to attach to the session. To learn more about user metadata, see User Metadata. |
| connectUrl | string | WebSocket URL to connect to the Session. |
| seleniumRemoteUrl | string | HTTP URL to connect to the Session. |
| signingKey | string | Signing key to use when connecting to the Session via HTTP. |
/browserbase/v1/sessions● Supportedstatusstring可选qstring可选Query sessions by user metadata. See [Querying Sessions by User Metadata](/features/sessions#querying-sessions-by-user-metadata) for the schema of this query.
200
Only the capabilities in the service guide are available; some upstream options are unavailable.
Errors contain statusCode, error and message; the native API adds code. The request ID is in X-Request-Id. Errors
Proxies, stealth options, extensions and Selenium are unavailable. region and solveCaptchas are accepted but ignored; region selection and CAPTCHA solving are not provided.
The request has succeeded.
application/json
| Name | Type | Description |
|---|---|---|
| [].id | string | |
| [].createdAt | string | |
| [].updatedAt | string | |
| [].projectId | string | The Project ID linked to the Session. |
| [].startedAt | string | |
| [].endedAt | string | |
| [].expiresAt | string | |
| [].status | string | |
| [].proxyBytes | integer | Bytes used via the Proxy |
| [].keepAlive | boolean | Indicates if the Session was created to be kept alive upon disconnections |
| [].contextId | string | Optional. The Context linked to the Session. |
| [].region | string | The region where the Session is running. |
| [].userMetadata | object | Arbitrary user metadata to attach to the session. To learn more about user metadata, see User Metadata. |
/browserbase/v1/sessions/{id}● Supportedidstring必填200
Only the capabilities in the service guide are available; some upstream options are unavailable.
Errors contain statusCode, error and message; the native API adds code. The request ID is in X-Request-Id. Errors
Proxies, stealth options, extensions and Selenium are unavailable. region and solveCaptchas are accepted but ignored; region selection and CAPTCHA solving are not provided.
The request has succeeded.
application/json
| Name | Type | Description |
|---|---|---|
| id | string | |
| createdAt | string | |
| updatedAt | string | |
| projectId | string | The Project ID linked to the Session. |
| startedAt | string | |
| endedAt | string | |
| expiresAt | string | |
| status | string | |
| proxyBytes | integer | Bytes used via the Proxy |
| keepAlive | boolean | Indicates if the Session was created to be kept alive upon disconnections |
| contextId | string | Optional. The Context linked to the Session. |
| region | string | The region where the Session is running. |
| userMetadata | object | Arbitrary user metadata to attach to the session. To learn more about user metadata, see User Metadata. |
| connectUrl | string | WebSocket URL to connect to the Session. |
| seleniumRemoteUrl | string | HTTP URL to connect to the Session. |
| signingKey | string | Signing key to use when connecting to the Session via HTTP. |
/browserbase/v1/sessions/{id}● Supportedidstring必填statusstring必填Set to `REQUEST_RELEASE` to request that the session complete. Use before session's timeout to avoid additional charges.
200
Only the capabilities in the service guide are available; some upstream options are unavailable.
Errors contain statusCode, error and message; the native API adds code. The request ID is in X-Request-Id. Errors
Proxies, stealth options, extensions and Selenium are unavailable. region and solveCaptchas are accepted but ignored; region selection and CAPTCHA solving are not provided.
The request has succeeded.
application/json
| Name | Type | Description |
|---|---|---|
| id | string | |
| createdAt | string | |
| updatedAt | string | |
| projectId | string | The Project ID linked to the Session. |
| startedAt | string | |
| endedAt | string | |
| expiresAt | string | |
| status | string | |
| proxyBytes | integer | Bytes used via the Proxy |
| keepAlive | boolean | Indicates if the Session was created to be kept alive upon disconnections |
| contextId | string | Optional. The Context linked to the Session. |
| region | string | The region where the Session is running. |
| userMetadata | object | Arbitrary user metadata to attach to the session. To learn more about user metadata, see User Metadata. |
/browserbase/v1/sessions/{id}/debug● SupportedexpiresIninteger可选Time-to-live of the generated live view URLs, in seconds. If omitted, the URLs expire with the session, up to a maximum of 21600 seconds (6 hours).
idstring必填200
Only the capabilities in the service guide are available; some upstream options are unavailable.
Errors contain statusCode, error and message; the native API adds code. The request ID is in X-Request-Id. Errors
Proxies, stealth options, extensions and Selenium are unavailable. region and solveCaptchas are accepted but ignored; region selection and CAPTCHA solving are not provided.
The request has succeeded.
application/json
| Name | Type | Description |
|---|---|---|
| debuggerFullscreenUrl | string | |
| debuggerUrl | string | |
| pages | array<object> | |
| pages[].id | string | |
| pages[].url | string | |
| pages[].faviconUrl | string | |
| pages[].title | string | |
| pages[].debuggerUrl | string | |
| pages[].debuggerFullscreenUrl | string | |
| wsUrl | string |
/browserbase/v1/sessions/{id}/logs● Supportedidstring必填200
Only the capabilities in the service guide are available; some upstream options are unavailable.
Errors contain statusCode, error and message; the native API adds code. The request ID is in X-Request-Id. Errors
Proxies, stealth options, extensions and Selenium are unavailable. region and solveCaptchas are accepted but ignored; region selection and CAPTCHA solving are not provided.
The request has succeeded.
application/json
| Name | Type | Description |
|---|---|---|
| [].method | string | |
| [].pageId | integer | |
| [].sessionId | string | |
| [].request | object | |
| [].request.timestamp | integer | milliseconds that have elapsed since the UNIX epoch |
| [].request.params | object | |
| [].request.rawBody | string | |
| [].response | object | |
| [].response.timestamp | integer | milliseconds that have elapsed since the UNIX epoch |
| [].response.result | object | |
| [].response.rawBody | string | |
| [].timestamp | integer | milliseconds that have elapsed since the UNIX epoch |
| [].frameId | string | |
| [].loaderId | string |
/browserbase/v1/sessions/{id}/recording● Supportedidstring必填200
Only the capabilities in the service guide are available; some upstream options are unavailable.
Errors contain statusCode, error and message; the native API adds code. The request ID is in X-Request-Id. Errors
Proxies, stealth options, extensions and Selenium are unavailable. region and solveCaptchas are accepted but ignored; region selection and CAPTCHA solving are not provided.
The request has succeeded.
application/json
| Name | Type | Description |
|---|---|---|
| [].id | string | |
| [].data | object | See rrweb documentation. |
| [].sessionId | string | |
| [].timestamp | integer | milliseconds that have elapsed since the UNIX epoch |
| [].type | integer |
/browserbase/v1/contexts● SupportedprojectIdstring可选The Project ID. Can be found in [Settings](https://www.browserbase.com/settings). Optional - if not provided, the project will be inferred from the API key.
namestring可选Optional user-defined name for the Context. Leading and trailing whitespace is trimmed before storage. Names are unique within the project among active Contexts, compared case-insensitively.
201
Only the capabilities in the service guide are available; some upstream options are unavailable.
Errors contain statusCode, error and message; the native API adds code. The request ID is in X-Request-Id. Errors
Proxies, stealth options, extensions and Selenium are unavailable. region and solveCaptchas are accepted but ignored; region selection and CAPTCHA solving are not provided.
The request has succeeded and a new resource has been created as a result.
application/json
| Name | Type | Description |
|---|---|---|
| id | string | |
| publicKey | string | The public key to encrypt the user-data-directory. |
| cipherAlgorithm | string | The cipher algorithm used to encrypt the user-data-directory. AES-256-CBC is currently the only supported algorithm. |
| initializationVectorSize | integer | The initialization vector size used to encrypt the user-data-directory. Read more about how to use it. |
/browserbase/v1/contexts/{id}● Supportedidstring必填200
Only the capabilities in the service guide are available; some upstream options are unavailable.
Errors contain statusCode, error and message; the native API adds code. The request ID is in X-Request-Id. Errors
Proxies, stealth options, extensions and Selenium are unavailable. region and solveCaptchas are accepted but ignored; region selection and CAPTCHA solving are not provided.
The request has succeeded.
application/json
| Name | Type | Description |
|---|---|---|
| id | string | |
| createdAt | string | |
| updatedAt | string | |
| projectId | string | The Project ID linked to the uploaded Context. |
| name | string | Optional user-defined name for the Context. Leading and trailing whitespace is trimmed before storage. Names are unique within the project among active Contexts, compared case-insensitively. |
/browserbase/v1/contexts/{id}● Supportedidstring必填200
Only the capabilities in the service guide are available; some upstream options are unavailable.
Errors contain statusCode, error and message; the native API adds code. The request ID is in X-Request-Id. Errors
Proxies, stealth options, extensions and Selenium are unavailable. region and solveCaptchas are accepted but ignored; region selection and CAPTCHA solving are not provided.
This endpoint returns 200 and a JSON acknowledgement; Browserbase returns 204.
Context deleted. Praxis returns JSON instead of Browserbase's 204.
application/json
| Name | Type | Description |
|---|---|---|
| deleted | boolean |